%define name nqc
%define version 2.3.r1
%define release 1mdk

Summary:A simple C-like language for Lego's RCX programmable brick
Name:%{name}
Version:%{version}
Release:%{release}
License: MPL
Group:	Development/C
Source:	%{name}-%{version}.tar.bz2
URL:http://www.enteract.com/~dbaum/nqc/
BuildRoot:%{_tmppath}/%{name}-buildroot

%description
Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick. It can be thought of as an
intermediate step between the Win32 GUI that ships with Mindstorms and
pbForth or LegOS. It's far more powerful than the former, but doesn't give
quite the same raw level of control you'd get by using a replacement
firmware. NQC runs on Linux, MacOS, and MS Win32 -- and of course, the
source is available if you want to try it elsewhere.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n nqc-2.3.r1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -s -m 755 bin/nqc $RPM_BUILD_ROOT%{_bindir}/nqc
install -m 644 nqc-man-2.1r1-0.man $RPM_BUILD_ROOT%{_mandir}/man1/nqc.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc LICENSE readme.txt scout.txt rest.nqc history.txt PORTING 
%{_mandir}/man1/nqc.1* 
%{_bindir}/*

%changelog
* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.r1-1mdk
- updated to 2.3.r1

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.r2-1mdk
- updated to 2.2.r2

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.r1-1mdk  
- updated to 2.2.r1
- macros
- BM 

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1r1-3mdk
- fix group
- fix permission on sources 

* Tue Feb 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1r1-1mdk
- v2.1.r1
- merge with the doc package

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- fix install part 
